CVE-2001-1371
CVSS7.5
发布时间 :2002-02-06 00:00:00
修订时间 :2016-10-17 22:14:41
NMCO    

[原文]The default configuration of Oracle Application Server 9iAS 1.0.2.2 enables SOAP and allows anonymous users to deploy applications by default via urn:soap-service-manager and urn:soap-provider-manager.


[CNNVD]Oracle 9iAS SOAP默认配置漏洞(CNNVD-200202-002)

        
        Oracle 9iAS是一种大型的关系数据库系统,由Oracle公司开发和维护。 它支持简单对象访问协议(SOAP)协议,它是一种基于XML的协议,Oracle用它来对数据库服务进行Web管理。
        Oracle 9iAS 1.0.2.2.1缺省安装并使能了SOAP组件,远程攻击者无须认证即可配置或关闭(deploy/undploy)SOAP的提供者及服务。
        与其它漏洞结合,攻击者可能进行更进一步的破坏。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-264 [权限、特权与访问控制]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-1371
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-1371
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200202-002
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=101301813117562&w=2
(UNKNOWN)  BUGTRAQ  20020206 Hackproofing Oracle Application Server paper
http://technet.oracle.com/deploy/security/pdf/ias_soap_alert.pdf
(UNKNOWN)  CONFIRM  http://technet.oracle.com/deploy/security/pdf/ias_soap_alert.pdf
http://www.cert.org/advisories/CA-2002-08.html
(VENDOR_ADVISORY)  CERT  CA-2002-08
http://www.iss.net/security_center/static/8449.php
(UNKNOWN)  XF  oracle-appserver-soap-components(8449)
http://www.kb.cert.org/vuls/id/736923
(VENDOR_ADVISORY)  CERT-VN  VU#736923
http://www.nextgenss.com/papers/hpoas.pdf
(UNKNOWN)  MISC  http://www.nextgenss.com/papers/hpoas.pdf
http://www.securityfocus.com/bid/4289
(VENDOR_ADVISORY)  BID  4289

- 漏洞信息

Oracle 9iAS SOAP默认配置漏洞
高危 未知
2002-02-06 00:00:00 2005-05-02 00:00:00
远程  
        
        Oracle 9iAS是一种大型的关系数据库系统,由Oracle公司开发和维护。 它支持简单对象访问协议(SOAP)协议,它是一种基于XML的协议,Oracle用它来对数据库服务进行Web管理。
        Oracle 9iAS 1.0.2.2.1缺省安装并使能了SOAP组件,远程攻击者无须认证即可配置或关闭(deploy/undploy)SOAP的提供者及服务。
        与其它漏洞结合,攻击者可能进行更进一步的破坏。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,David Litchfield 建议您采取以下措施以降低威胁:
        * 如果您不需要SOAP组件,您应该立刻关闭SOAP。
        编辑"$ORACLE_HOME/Apache/Jserv/etc/jserv.conf"配置文件,删除或者注释掉下面的行:
        ApJServGroup group2 1 1
        $ORACLE_HOME/Apache/Jserv/etc/jservSoap.properties
        ApJServMount /soap/servlet ajpv12://localhost:8200/soap
        ApJServMount /dms2 ajpv12://localhost:8200/soap
        ApJServGroupMount /soap/servlet balance://group2/soap
        * 如果您需要SOAP,您应该关闭它的自动deploy功能。
        编辑"$ORACLE_HOME/soap/werbapps/soap/WEB-INF/config/soapConfig.xml"文件,加入以下的行:
        
        * 限制访问SOAP deploy/undeploy功能的用户,应该只有管理员和可信用户可以使用此功能。
        厂商补丁:
        Oracle
        ------
        目前厂商已经提供了解决方案以修复这个安全问题,请参看下列厂商安全公告:
        
        http://technet.oracle.com/deploy/security/pdf/ias_soap_alert.pdf

- 漏洞信息

5407
Oracle Application Server Default SOAP Configuration Unauthorized Application Deployment
Remote / Network Access Authentication Management, Input Manipulation
Loss of Integrity Workaround
Exploit Public Vendor Verified

- 漏洞描述

- 时间线

2001-11-30 Unknow
Unknow Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站